Index: trunk/expressoMail1_2/js/main.js
===================================================================
--- trunk/expressoMail1_2/js/main.js	(revision 5506)
+++ trunk/expressoMail1_2/js/main.js	(revision 5514)
@@ -3633,92 +3633,106 @@
 			closeOnEscape: true
 		});
-                $.ajax({
-                        url: "controller.php?action="+import_url+'&from_ajax=true&id_user='+User.me.id+'&readable=true&cirus_delimiter='+cyrus_delimiter+'&analize=true',
-                        async: false,
-                        success: function(data){
-                                data = connector.unserialize(data);
-
-
-                                var createDialog = function(typeImport, propaget){
-
-                                        if(typeImport == '1'){
-                                                $("#select-agenda").html('');
-                                                for(var calendario in Calendar.calendarIds){
-                                                        var doc = document .createElement("OPTION");
-                                                        doc.value = Calendar.signatures[parseInt(calendario)].calendar.id;
-                                                        doc.innerHTML = Calendar.signatures[parseInt(calendario)].calendar.name;
-                                                        $("#select-agenda").append(doc);
-                                                      
-                                                };
-                                                $("#import-dialog" ).dialog({
-                                                    buttons: {
-                                                        Cancel: function() {
-                                                                $( this ).dialog( "close" );
-                                                        },
-                                                        "Importar" : function(){
-
-                                                             $.ajax({
-                                                                     url: "controller.php?action="+import_url+'&from_ajax=true&selected='+$("#select-agenda option:selected").val()+'&status='+$("#select-status option:selected").val(),
-                                                                     success: function(msg){
-
-                                                                            var alt = ( (msg = connector.unserialize(msg)) == "ok") ? "Importado com sucesso para " : "Ocorreu um erro ao importar o evento para a agenda ";
-                                                                            alert( alt + $("#select-agenda option:selected").text() );
-                                                                    }
-                                                                });
-                                                        
-															$( this ).dialog( "close" );
-														}
-                                                    }
-                                                 });					
-
-                                        }else if(data == '4'){
-                                            alert('Seu evento já se encontra atualizado');
-                                            return;
-                                        }else if(data == '3'){
-                                           $.ajax({
-							url: "controller.php?action="+import_url+'&from_ajax=true&selected=true',
-                                                	success: function(msg){
-                                                	alert( ( ( connector.unserialize(msg)) == "ok") ? "Seu evento foi removido " : "Ocorreu um erro ao remover o evento" );
-                                                        }
-                                                });
-                                                return;
-                                        }
-                                        else if(data == '5'){
-						$.ajax({
-							url: "controller.php?action="+import_url+'&from_ajax=true&selected=true',
-                                                	success: function(msg){
-                                                	alert( ( ( connector.unserialize(msg)) == "ok") ? "Atualizado com sucesso " : "Ocorreu um erro ao atualizar o evento" );
-                                                        }
-                                                });
-                                                return;
-					}else {
-                                                up = true;
-                                                $("#select-agenda").css("display", "none");
-                                                $("#import-dialog" ).children("p:first-child").css("display", "none");
-                                                $("#import-dialog" ).dialog({
-                                                        height: 160,
-                                                        title: 'Atualizar Evento',
-                                                        buttons: {
-                                                            Cancel: function() {
-                                                                    $( this ).dialog( "close" );
-                                                            },
-                                                           "Atualizar": function() {
-                                                                
-                                                                $.ajax({
-                                                                     url: "controller.php?action="+import_url+'&from_ajax=true&selected='+$("#select-agenda option:selected").val()+'&status='+$("#select-status option:selected").val(),
-                                                                     success: function(msg){
-                                                                            alert( ( (msg = connector.unserialize(msg)) == "ok") ? "Atualizado com sucesso para " : "Ocorreu um erro ao atualizar o evento" );
-                                                                    }
-                                                                });
-                                                        
-                                                                $( this ).dialog( "close" );
-                                                        }
-                                                    }
-                                                });
-                                        $(".ui-dialog-buttonpane").find(".ui-button:last").children().html("Atualizar");		
-                                        };
-                                        $( "#import-dialog" ).dialog( "open" );	
-                                };
-                                createDialog(data, true);
+		$.ajax({
+			url: "controller.php?action="+import_url+'&from_ajax=true&id_user='+User.me.id+'&readable=true&cirus_delimiter='+cyrus_delimiter+'&analize=true',
+			async: false,
+			success: function(data){
+					data = connector.unserialize(data);
+
+
+					var createDialog = function(typeImport, propaget){
+							
+						switch(parseInt(typeImport)){
+						case 1:
+							$("#select-agenda").html('');
+								for(var calendario in Calendar.calendarIds){
+										var doc = document .createElement("OPTION");
+										doc.value = Calendar.signatures[parseInt(calendario)].calendar.id;
+										doc.innerHTML = Calendar.signatures[parseInt(calendario)].calendar.name;
+										$("#select-agenda").append(doc);
+									  
+								};
+								$("#import-dialog" ).dialog({
+									buttons: {
+										Cancel: function() {
+												$( this ).dialog( "close" );
+										},
+										"Importar" : function(){
+
+											 $.ajax({
+													 url: "controller.php?action="+import_url+'&from_ajax=true&selected='+$("#select-agenda option:selected").val()+'&status='+$("#select-status option:selected").val(),
+													 success: function(msg){
+
+															var alt = ( (msg = connector.unserialize(msg)) == "ok") ? "Importado com sucesso para " : "Ocorreu um erro ao importar o evento para a agenda ";
+															alert( alt + $("#select-agenda option:selected").text() );
+													}
+												});
+										
+											$( this ).dialog( "close" );
+										}
+									}
+								 });
+							break;
+						case 2:
+							$.ajax({
+								url: "controller.php?action="+import_url+'&from_ajax=true&selected=true',
+								success: function(msg){
+									alert( ( ( connector.unserialize(msg)) == "ok") ? "Seu evento foi removido " : "Ocorreu um erro ao remover o evento" );
+								}
+							});
+							return;
+							break;
+						case 4:
+							alert('Seu evento já se encontra atualizado');
+							return;
+							break;
+						case 5:
+							$.ajax({
+								url: "controller.php?action="+import_url+'&from_ajax=true&selected=true',
+								success: function(msg){
+								alert( ( ( connector.unserialize(msg)) == "ok") ? "Atualizado com sucesso " : "Ocorreu um erro ao atualizar o evento" );
+								}
+							});
+							return;
+							break;
+						case 6:
+							var acceptedSuggestion = confirm("Deseja atualizar o evento de acordo com a sugestão ?");
+							$.ajax({
+								url: "controller.php?action="+import_url+'&from_ajax=true&id_user='+User.me.id+'&selected=true&cirus_delimiter='+cyrus_delimiter+'&acceptedSuggestion='+acceptedSuggestion+"&from="+document.getElementById('from_values_'+currentTab).value,
+								success: function(msg){
+									if(acceptedSuggestion)
+										alert( ( ( connector.unserialize(msg)) == "ok") ? "Evento atualizado com sucesso " : "Ocorreu um erro ao atualizar o evento" );
+								}
+							});
+							return;
+							break;
+						default:
+							up = true;
+							$("#select-agenda").css("display", "none");
+							$("#import-dialog" ).children("p:first-child").css("display", "none");
+							$("#import-dialog" ).dialog({
+								height: 160,
+								title: 'Atualizar Evento',
+								buttons: {
+									Cancel: function() {
+										$( this ).dialog( "close" );
+									},
+								   "Atualizar": function() {
+										
+										$.ajax({
+											 url: "controller.php?action="+import_url+'&from_ajax=true&selected='+$("#select-agenda option:selected").val()+'&status='+$("#select-status option:selected").val(),
+											 success: function(msg){
+													alert( ( (msg = connector.unserialize(msg)) == "ok") ? "Atualizado com sucesso para " : "Ocorreu um erro ao atualizar o evento" );
+											}
+										});
+										$( this ).dialog( "close" );
+									}
+								}
+							});
+							$(".ui-dialog-buttonpane").find(".ui-button:last").children().html("Atualizar");
+						}
+						$( "#import-dialog" ).dialog( "open" );	
+																
+					};
+					createDialog(data, true);
                                 
                 }});
